#!/bin/bash
Header=$(ls -t -U | grep -m 1 "linux-header")
Image=$(ls -t -U | grep -m 1 "linux-image")
Libc=$(ls -t -U | grep -m 1 "linux-libc")
version=$(ls linux-libc-dev_5.15.*-custom-1_amd64.deb | sed "s/linux-libc-dev_//g" | sed "s/custom.*/custom/g")

if [ -f ksource.txt ]
then
rm ksource.txt
fi

touch ksource.txt
echo "KHeader=$Header" >>ksource.txt
echo "KImage=$Image" >>ksource.txt
echo "KLibc=$Libc" >>ksource.txt
echo "KLversion=$version" >>ksource.txt
git add $Header
git add $Image
git add $Libc
